%global momorel 4
%global qtver 3.3.7
%global qtdir %{_libdir}/qt3

Summary: Powerful sequencer-, synthesizer- and sample-studio for Linux
Name: lmms
Version: 0.3.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://lmms.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
Source1: %{name}.desktop
Source2: %{name}-16.png
Source3: %{name}-32.png
Source4: %{name}-48.png
Source5: %{name}-64.png
Patch0: %{name}-0.2.1-plugindir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: SDL-devel
BuildPreReq: alsa-lib-devel
BuildPreReq: flac-devel
BuildPreReq: jack-devel
BuildPreReq: libsndfile-devel
BuildPreReq: libsamplerate-devel
BuildPreReq: libvorbis-devel
%ifarch %{ix86}
BuildPreReq: wine-devel >= 1.0-0.994.1m
%endif

%description
LMMS aims to be a free alternative to popular (but commercial and closed-
source) programs like FruityLoops, Cubase and Logic giving you the ability of
producing music with your computer by creating/synthesizing sounds, arranging
samples, playing live with keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
sample-/song-/effect-management) and those of powerful synthesizers and
samplers in a modern, user-friendly and easy to use graphical user-interface.

LMMS is still in heavy development, so with this version please don't expect a
complete, ready and bugfree program!!

%prep
%setup -q

%ifarch x86_64
%patch0 -p1 -b .libdir
%endif

%build
export QTDIR=%{qtdir}

%configure --without-singerbot
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# overwrite desktop file
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/lmms.png
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/lmms.png
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/lmms.png
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/lmms.png

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/lmms.png %{buildroot}%{_datadir}/pixmaps/lmms.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/lmms
%{_libdir}/lmms
%{_datadir}/applications/lmms.desktop
%{_datadir}/icons/hicolor/*/apps/lmms.png
%{_datadir}/lmms
%{_mandir}/man1/lmms.1*
%{_datadir}/menu/lmms
%{_datadir}/mime/packages/lmms.xml
%{_datadir}/pixmaps/lmms.png

%changelog
* Sat Jun  7 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-4m)
- rebuild against wine-devel

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- version 0.3.2

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.1-2m)
- %%NoSource -> NoSource

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-1m)
- version 0.3.1
- update lmms.desktop
- revise lmms-16.png
- add lmms-64.png
- License: GPLv2

* Thu Aug 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-2m)
- build without wine on i686 for the moment

* Thu Aug 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version 0.3.0
- build without festival and libstk for the moment

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1-3m)
- rebuild against libvorbis-1.2.0-1m

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-2m)
- revise lmms.desktop

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- initial package for Momonga Linux
- import plugindir.patch from packman lmms-0.2.1-0.pm.1.src.rpm
- import and modify lmms.desktop from packman lmms-0.2.1-0.pm.1.src.rpm
- import icons from cooker
